package com.chenyang.nse.bussiness.entity.vo;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.db.ColumnInfo;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class DataPreviewVO {
   private int rows;
   private int page;
   private String sql;
   private String edition_id;
   private String datasystem_id;
   private String schema;
   private String table_name;
   private Long execute_time;
   private String errMsg;
   private String levelFlag;
   private List<String> primary;
   private PageInfo pageInfo;
   private List<ColumnInfo> filterColumnList;
   private Set<String> head;
   private List<Map<String, Object>> data;
   private List<String> esdata;

   public int getRows() {
      return this.rows;
   }

   public void setRows(int rows) {
      this.rows = rows;
   }

   public int getPage() {
      return this.page;
   }

   public void setPage(int page) {
      this.page = page;
   }

   public String getSql() {
      return this.sql;
   }

   public void setSql(String sql) {
      this.sql = sql;
   }

   public String getEdition_id() {
      return this.edition_id;
   }

   public void setEdition_id(String edition_id) {
      this.edition_id = edition_id;
   }

   public String getDatasystem_id() {
      return this.datasystem_id;
   }

   public void setDatasystem_id(String datasystem_id) {
      this.datasystem_id = datasystem_id;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getTable_name() {
      return this.table_name;
   }

   public void setTable_name(String table_name) {
      this.table_name = table_name;
   }

   public String getErrMsg() {
      return this.errMsg;
   }

   public void setErrMsg(String errMsg) {
      this.errMsg = errMsg;
   }

   public List<String> getPrimary() {
      return this.primary;
   }

   public void setPrimary(List<String> primary) {
      this.primary = primary;
   }

   public Set<String> getHead() {
      return this.head;
   }

   public void setHead(Set<String> head) {
      this.head = head;
   }

   public List<Map<String, Object>> getData() {
      return this.data;
   }

   public void setData(List<Map<String, Object>> data) {
      this.data = data;
   }

   public PageInfo getPageInfo() {
      return this.pageInfo;
   }

   public void setPageInfo(PageInfo pageInfo) {
      this.pageInfo = pageInfo;
   }

   public List<ColumnInfo> getFilterColumnList() {
      return this.filterColumnList;
   }

   public void setFilterColumnList(List<ColumnInfo> filterColumnList) {
      this.filterColumnList = filterColumnList;
   }

   public String getLevelFlag() {
      return this.levelFlag;
   }

   public void setLevelFlag(String levelFlag) {
      this.levelFlag = levelFlag;
   }

   public Long getExecute_time() {
      return this.execute_time;
   }

   public void setExecute_time(Long execute_time) {
      this.execute_time = execute_time;
   }

   public List<String> getEsdata() {
      return this.esdata;
   }

   public void setEsdata(List<String> esdata) {
      this.esdata = esdata;
   }
}
